<?php
session_start();
include "verifica.php";
include "correlativos.php";

@$xnombres=trim($_REQUEST['xnombres']);
@$xrazonsocial=trim($_REQUEST['xrazonsocial']);


@$xper_ruc_dni_tipo=$_REQUEST['xper_ruc_dni_tipo'];

@$xruc=trim($_REQUEST['xruc']);
@$xtelefono1=trim($_REQUEST['xtelefono1']);
@$xdireccion1=trim($_REQUEST['xdireccion1']);
@$xusuario_sesion=$_SESSION['nombre_usuario'];

?>
<script language="javascript">
//alert("xrazonsocial: <?php echo $xrazonsocial; ?>");
</script>
<?php

//exit;


include "../conexion.php";

$nu = "9999999999"; 
$xnu = time().rand(1,$nu);

$correlativo = $cor->persona($conexion);		
$correlativo_persona=$correlativo;	


$r = mysqli_query($conexion,"insert into personas (per_nombre_comercial, 
										  per_razon_social,
										  per_ruc,
										  pertip_codi_fk,
										  per_estado,
										  per_telefono1,
										  per_direccion1,
										  per_usu_crea,
										  per_idtrans,
										  per_ruc_dni_tipo,
										  per_codigo)
								values ('$xnombres', 
										'$xrazonsocial',
										'$xruc',
										3,
										1,
										'$xtelefono1',
										'$xdireccion1',
										'$xusuario_sesion',
										'$xnu',
										$xper_ruc_dni_tipo,
										'$correlativo_persona');");

if($r){

	$r_id = mysqli_query($conexion,"SELECT per_codi FROM personas p WHERE per_idtrans='$xnu';");
	while($row_id=mysqli_fetch_array($r_id)){
		$xid=$row_id['per_codi'];				
	}			
	
	if(mysqli_num_rows($r_id)>0){
		?>			
		<script language="javascript">	
		
		//alert("POR AQUI ALMACEN.");		
		
		parent.document.getElementById('xproveedor').options[0]=new Option('<?php echo $xnombres;?>',<?php echo $xid;?>,"defaultSelected");
			
		parent.document.getElementById('xproveedor').value='<?php echo $xid;?>';
		
		//alert("estamos aqui 3");
		
		parent.cerraradicionar('d_crea_persona');
		//parent.location.href="../clientes.php";
		</script>			
		<?php
	}else{
		?>
		<script language="javascript">
		alert("Los datos no pudieron ser recuperados, salga de la pantalla, vuelva a ingresar y seleccione el cliente de la lista.");
		
		</script>			
			
		<?php		
	}
	
}



?>
